﻿/*banner css starts*/

.img-fill {
    width: 100%;
    overflow: hidden; /* Ensures the image is cropped */
}

    .img-fill img {
        width: 100%; /* Responsive width */
        height: 100%;
        object-fit: cover; /* Ensures the image covers the container, cropping when needed */
    }

/*banner css starts*/
/* Arrows */
.slick-prev,
.slick-next {
    font-size: 0;
    line-height: 0;
    position: absolute;
    top: 50%;
    display: block;
    width: 20px;
    height: 20px;
    padding: 0;
    -webkit-transform: translate(0, -50%);
    -ms-transform: translate(0, -50%);
    transform: translate(0, -50%);
    cursor: pointer;
    color: transparent;
    border: none;
    outline: none;
    background: transparent;
}

    .slick-prev:hover,
    .slick-prev:focus,
    .slick-next:hover,
    .slick-next:focus {
        color: transparent;
        outline: none;
        background: transparent;
    }

        .slick-prev:hover:before,
        .slick-prev:focus:before,
        .slick-next:hover:before,
        .slick-next:focus:before {
            opacity: 1;
        }

    .slick-prev.slick-disabled:before,
    .slick-next.slick-disabled:before {
        opacity: 0.25;
    }

    .slick-prev:before,
    .slick-next:before {
        font-family: "slick";
        font-size: 20px;
        line-height: 1;
        opacity: 0.75;
        color: white;
        -webkit-font-smoothing: antialiased;
        -moz-osx-font-smoothing: grayscale;
    }

.slick-prev {
    left: -25px;
}

[dir="rtl"] .slick-prev {
    right: -25px;
    left: auto;
}

.slick-prev:before {
    content: "←";
}

[dir="rtl"] .slick-prev:before {
    content: "→";
}

.slick-next {
    right: -25px;
}

[dir="rtl"] .slick-next {
    right: auto;
    left: -25px;
}

.slick-next:before {
    content: "→";
}

[dir="rtl"] .slick-next:before {
    content: "←";
}

/* Dots */
.slick-dotted.slick-slider {
    margin-bottom: 30px;
}

.slick-dots {
    position: absolute;
    bottom: -25px;
    display: block;
    width: 100%;
    padding: 0;
    margin: 0;
    list-style: none;
    text-align: center;
}

    .slick-dots li {
        position: relative;
        display: inline-block;
        width: 20px;
        height: 20px;
        margin: 0 5px;
        padding: 0;
        cursor: pointer;
    }

        .slick-dots li button {
            font-size: 0;
            line-height: 0;
            display: block;
            width: 20px;
            height: 20px;
            padding: 5px;
            cursor: pointer;
            color: transparent;
            border: 0;
            outline: none;
            background: transparent;
        }

            .slick-dots li button:hover,
            .slick-dots li button:focus {
                outline: none;
            }

                .slick-dots li button:hover:before,
                .slick-dots li button:focus:before {
                    opacity: 1;
                }

            .slick-dots li button:before {
                font-family: "slick";
                font-size: 6px;
                line-height: 20px;
                position: absolute;
                top: 0;
                left: 0;
                width: 20px;
                height: 20px;
                content: "•";
                text-align: center;
                opacity: 0.25;
                color: black;
                -webkit-font-smoothing: antialiased;
                -moz-osx-font-smoothing: grayscale;
            }

        .slick-dots li.slick-active button:before {
            opacity: 0.75;
            color: black;
        }

* Slick Slider */
/* ==== Main CSS === */
body {
    padding: 0;
    margin: 0;
}

.img-fill {
    width: 100%;
    display: block;
    overflow: hidden;
    position: relative;
    text-align: center;
}

    .img-fill img {
        height: 100%;
        min-width: 100%;
        position: relative;
        display: inline-block;
        max-width: none;
    }

*,
*:before,
*:after {
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    text-shadow: 1px 1px 1px rgba(0, 0, 0, 0.04);
}

.Grid1k {
    padding: 0 15px;
    max-width: 1200px;
    margin: auto;
}

.blocks-box,
.slick-slider {
    margin: 0 0;
    padding: 0 !important;
}

.slick-slide {
    float: left /* If RTL Make This Right */;
    padding: 0px;
}

/* ==== Slider Style === */
.Modern-Slider {
    position: relative;
}

.Gallery-Slider {
    position: relative;
    overflow: hidden;
    background: red;
}

.Modern-Slider .Gallery-Slider {
    background: #000;
}

.Modern-Slider .NextArrow {
    position: absolute;
    top: 50%;
    right: 0px;
    width: 45px;
    height: 45px;
    background: rgba(0, 0, 0, 0.5);
    border: 0 none;
    margin-top: -22.5px;
    text-align: center;
    font: 20px/45px FontAwesome;
    color: #fff;
    z-index: 5;
    transition: all 1s;
    opacity: 0;
}

    .Modern-Slider .NextArrow:before {
        content: "\F284";
    }

.Modern-Slider .PrevArrow {
    position: absolute;
    top: 50%;
    left: 0px;
    width: 45px;
    height: 45px;
    background: rgba(0, 0, 0, 0.5);
    border: 0 none;
    margin-top: -22.5px;
    text-align: center;
    font: 20px/45px FontAwesome;
    color: #fff;
    z-index: 5;
    opacity: 0;
    transition: all 1s;
}

    .Modern-Slider .PrevArrow:before {
        content: "\f104";
    }

.Modern-Slider .Gallery-Slider:hover .PrevArrow {
    opacity: 1;
}

.Modern-Slider .Gallery-Slider:hover .NextArrow {
    opacity: 1;
}

.Modern-Slider .Gallery-Slider .img-fill {
    height: 75vh; /* Removed
        background: #000;
        /*min-height: 400px;*/ /* Added */
    /*max-height: 300px;*/ /* Added */

    display: flex !important; /* Added */
    justify-content: center; /* Added */
}

.Modern-Slider .img-fill:before {
    content: "";
    display: block;
    width: 100%;
    height: 100%;
    top: 0px;
    left: 0px;
    z-index: 2;
    background: rgb(0 0 0 / 25%);
    position: absolute;
}

.Modern-Slider .img-fill img {
    filter: blur(0px);
}

.Modern-Slider .img-fill .info {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
	    z-index: 100;
}

.Gallery-Slider .Slick-Gallery:hover .NextArrow {
    opacity: 1;
}

.Modern-Slider .img-fill h3 {
    font: 22px/50px;
    color: #fff;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
    visibility: hidden;
    text-transform: uppercase;
}

.Modern-Slider .img-fill p {
    max-width: 650px;
    font: 14px/22px;
    color: #fff;
    height: 66px;
    overflow: hidden;
    visibility: hidden;
    text-transform: capitalize;
}

.Modern-Slider .slick-active h3 {
    animation: fadeInDown 1s both 0.5s;
    visibility: visible;
}

.Modern-Slider .slick-active p {
    animation: fadeInUp 1s both 1s;
    visibility: visible;
}

.Modern-Slider .slick-active h2  {
    animation: fadeInUp 1s both 1s;
    visibility: visible;
}

.Modern-Slider .slick-dots {
    position: absolute;
    height: 50px;
    bottom: 0px;
    width: 100%;
    left: 0px;
    padding: 0px;
    margin: 0px;
    list-style-type: none;
    text-align: center;
}

    .Modern-Slider .slick-dots li {
        display: inline-block;
        width: 15px;
        height: 15px;
        background: Transparent;
        -webkit-transition: all 0.5s;
        transition: all 0.5s;
        -webkit-border-radius: 50%;
        border-radius: 50%;
        border: 2px solid #fff;
        margin: 0 2.5px;
        cursor: pointer;
        position: relative;
    }

        .Modern-Slider .slick-dots li.slick-active {
            background: #fff;
            -webkit-box-shadow: inset 0 0 0 2px rgba(0, 0, 0, 0.28);
            box-shadow: inset 0 0 0 2px rgba(0, 0, 0, 0.28);
        }

        .Modern-Slider .slick-dots li a {
            position: absolute;
            bottom: 100%;
            left: 50%;
            width: 120px;
            height: 75px;
            display: block;
            visibility: hidden;
            border: 4px solid rgba(0, 0, 0, 0.5);
            margin-left: -60px;
            margin-bottom: 15px;
            -webkit-transition: visibility 0.5s linear 0.5s;
            transition: visibility 0.5s linear 0.5s;
            -webkit-animation: fadeOut 0.5s both;
            animation: fadeOut 0.5s both;
        }

            .Modern-Slider .slick-dots li a:after {
                content: "";
                position: absolute;
                left: 50%;
                margin-left: -8px;
                top: 100%;
                width: 0;
                height: 0;
                border: 8px solid Transparent;
                border-top-color: rgba(0, 0, 0, 0.5);
                margin-top: 4px;
            }

        .Modern-Slider .slick-dots li:hover a {
            visibility: visible;
            -webkit-transition-delay: 0s;
            transition-delay: 0s;
            -webkit-animation: fadeIn 0.5s both;
            animation: fadeIn 0.5s both;
        }

        .Modern-Slider .slick-dots li a img {
            width: 100%;
            height: 100%;
        }

/* ==== Slick Slider Css Ruls === */
.slick-slider {
    position: relative;
    display: block;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    -webkit-touch-callout: none;
    -khtml-user-select: none;
    -ms-touch-action: pan-y;
    touch-action: pan-y;
    -webkit-tap-highlight-color: transparent;
}

.slick-list {
    position: relative;
    display: block;
    overflow: hidden;
    margin: 0;
    padding: 0;
}

    .slick-list:focus {
        outline: none;
    }

    .slick-list.dragging {
        cursor: hand;
    }

.slick-slider .slick-track,
.slick-slider .slick-list {
    -webkit-transform: translate3d(0, 0, 0);
    -ms-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
}

.slick-track {
    position: relative;
    top: 0;
    left: 0;
    display: block;
}

    .slick-track:before,
    .slick-track:after {
        display: table;
        content: "";
    }

    .slick-track:after {
        clear: both;
    }

.slick-loading .slick-track {
    visibility: hidden;
}

.slick-slide {
    display: none;
    float: left /* If RTL Make This Right */;
    height: 100%;
    min-height: 1px;
}

    .slick-slide.dragging img {
        pointer-events: none;
    }

.slick-initialized .slick-slide {
    display: block;
}

.slick-loading .slick-slide {
    visibility: hidden;
}

.slick-vertical .slick-slide {
    display: block;
    height: auto;
    border: 1px solid transparent;
}

.info h2 {
    width: 90vw;
    font-family: 'head';
    font-size: 4rem;
    color: var(--bg);
    padding-bottom: 1.5rem;
}

.info h4 {
    color: var(--bg);
}

.banner-button {
    padding: 7px 15px;
    background-color: transparent;
    border: 1px solid var(--bg);
    color: var(--bg);
    border-radius: 10px;
    transition: 0.5s;
    margin-right: 1rem;
    font-size: 1.2rem;
    font-weight: 600;
}

.banner-button:hover {
    color: var(--bg);
    background-color: var(--primary);
    border-color: var(--primary);
}

@media (max-width: 1024px) {
    .Modern-Slider .img-fill .info {
        padding: 0 5rem;
    }

    .banner-button {
        font-weight:500;
    }
}

@media (max-width: 770px) {
    .info h2 {
        font-size: 3rem;
    }
}

@media (max-width: 550px) {
    .Modern-Slider .img-fill .info {
        /*top: 21%;*/
        padding: 0 2rem;
    }

    .info h2 {
        font-size: 3rem;
    }
}

@media(max-width:375px){
    .info h2 {
        font-size: 2rem;
    }
}
/*Banner Css ends*/
